Invite a market maker
curl --request POST \
--url https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/proposals/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"organization": "<string>"
}
'import requests
url = "https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/proposals/"
payload = { "organization": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization: '<string>'})
};
fetch('https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/proposals/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}RFQ
Invite a market maker
The RFQ owner invites a market-maker organization of the asset (by slug) and gets its new, empty proposal. The RFQ must be draft or active. Inviting the same organization again returns its existing proposal with 200.
Invite a market maker
curl --request POST \
--url https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/proposals/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"organization": "<string>"
}
'import requests
url = "https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/proposals/"
payload = { "organization": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization: '<string>'})
};
fetch('https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/proposals/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
255Response
The organization was already invited.
Show child attributes
Show child attributes
pending- Pendingin_progress- In Progresssubmitted- Submittedaccepted- Acceptedrejected- Rejected
Available options:
pending, in_progress, submitted, accepted, rejected Send it back when saving the proposal, to detect concurrent edits.
Show child attributes
Show child attributes

